Subject: bug#46824: 28.0.50; nativecomp crash with cl-block/cl-defun

From: Aaron Jensen <[email-masked]>
Date: Sun, 28 Feb 2021 17:31:45 -0600

On Sun, Feb 28, 2021 at 12:36 AM Pip Cet <[email-masked]> wrote:
>
> This patch, which I hasten to add is not for inclusion and hasn't been
> tested against the test suite, might fix the problem (on non-Windows
> systems. I'm afraid this problem is something that Windows actually
> got right and Unix got wrong...) It does here, experimentally.
>
> I'd appreciate it if someone could test further.

It looks like it solves both the crash and the bug in straight.el for
me. I'll continue to use the patch for a while and report back if I
have any issues.